'use strict';

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['another.target'], ['another.target']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['foo'], ['foo']),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(['yet.another.target'], ['yet.another.target']);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var t = require('tap');
var A = require('../');
var arnie = A();
var set = require('./set');
var props = require('../tags/props');

t.test('Operator: set', function (t) {
  t.plan(1);

  var task = [set(function (_ref, value) {
    var props = _ref.props;

    props.foo = value;
  }, '100'), set(props(_templateObject), props(_templateObject2)), set(props(_templateObject3), function (_ref2) {
    var props = _ref2.props;
    return parseInt(props.foo, 10) * 2;
  })];

  var expectedResult = {
    foo: '100',
    another: { target: '100' },
    yet: { another: { target: 200 } }
  };
  arnie(task).then(function (result) {
    t.deepEqual(result, expectedResult, 'should mutate the context');
  }).catch(console.error);
});