'use strict';

var t = require('tap');
var A = require('../');
var HttpReponse = require('./http-response');

var arnie = A({
  providers: [HttpReponse()]
});

t.test('Provider: HttpReponse', function (t) {
  t.plan(2);

  arnie([function (_ref) {
    var response = _ref.response;

    response.body = { foo: 'bar' };
  }]).catch(console.error).then(function (result) {
    t.deepEqual(result.response, {
      statusCode: 200,
      statusMessage: 'OK',
      headers: {
        'content-type': 'application/json; charset=utf-8'
      },
      body: { foo: 'bar' }
    }, 'should provide an api to create a json response');
  });

  arnie([function (_ref2) {
    var response = _ref2.response;

    response.body = 'text';
  }]).catch(console.error).then(function (result) {
    t.deepEqual(result.response, {
      statusCode: 200,
      statusMessage: 'OK',
      headers: {
        'content-type': 'text/plain; charset=utf-8',
        'content-length': '4'
      },
      body: 'text'
    }, 'should provide an api to create a text response');
  });
});