"use strict";

module.exports = function (options) {
  return function (context, functionDetails, payload) {
    context.output = function (data) {
      var pathFn = getPathFn(context.path, data);
      if (pathFn) {
        return pathFn(data);
      }
      return data;
    };
    return context;
  };
};

function getPathFn(path, output) {
  if (!path) {
    return;
  }
  for (var key in output) {
    if (path[key]) {
      return path[key];
    }
  }
}