'use strict';

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['foo'], ['foo']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['map.', ''], ['map.', '']),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(['keyInMap'], ['keyInMap']);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var t = require('tap');
var props = require('./props');

t.test('Tag: props', function (t) {
  var context = {
    props: {
      foo: 'bar',
      map: {
        foo: 'bar'
      },
      keyInMap: 'foo'
    }
  };

  var tag = props(_templateObject);
  t.equals(tag.toString(), 'props`foo`');
  t.equals(tag.getValue(context), 'bar');
  tag.setValue(context, 'new value');
  t.equals(tag.getValue(context), 'new value');

  var nestedTag = props(_templateObject2, props(_templateObject3));
  t.equals(nestedTag.toString(), 'props`map.${props`keyInMap`}`');
  t.equals(nestedTag.getValue(context), 'bar');

  t.end();
});