'use strict';

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['foo.', ''], ['foo.', '']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['foo'], ['foo']);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var t = require('tap');
var string = require('./string');
var props = require('./props');

t.test('Tag: string', function (t) {
  var context = {
    props: {
      foo: 'bar'
    }
  };

  var tag = string(_templateObject, props(_templateObject2));
  t.equals(tag.getValue(context), 'foo.bar', 'should create a string with nested tags');

  // TODO: should throw!
  t.throws(function () {
    tag.setValue(context, 'new value');
  }, 'should be read only');

  t.end();
});